header {
    position: sticky;
    top: 0;
    animation: m 1 1s;
    animation-timing-function: linear;
    background-color: rgb(255, 255, 255);
    z-index: 200;
    border-bottom: 1px solid #ffffff26;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.03), 0 3px 6px rgba(0, 0, 0, 0.06);
}

@keyframes l {
    0% {
        background: linear-gradient(#ff1f59, #19C8D0, #FFBB2C);
    }

    16.5% {
        background: linear-gradient(#ff1f59, #FFBB2C, #19C8D0);
    }

    33% {
        background: linear-gradient(#19C8D0, #ff1f59, #FFBB2C);
    }

    49.5% {
        background: linear-gradient(#19C8D0, #FFBB2C, #ff1f59);
    }

    66% {
        background: linear-gradient(#FFBB2C, #ff1f59, #19C8D0);
    }

    100% {
        background: linear-gradient(#FFBB2C, #19C8D0, #ff1f59);
    }
}


header div.container-header {
    width: 80%;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

header div.container-header ul {
    padding: 0;
    list-style: none;
}

header div.container-header ul.logo {
    width: 14%;
}

header div.container-header ul.logo div.logo {
    width: 100%;
    display: flex;
    align-items: center;
}

header div.container-header ul.logo div.logo img {
    width: 100%;
}

header div.container-header ul.nav {
    width: 54%;
}

header div.container-header ul.nav nav {
    display: flex;
    align-items: center;
    justify-content: center;
}

header div.container-header ul.nav nav li {
    padding: 0 18px;
    display: flex;
    align-items: center;
    justify-content: center;
}

header div.container-header ul.nav nav li a {
    font-size: 14px;
    font-weight: 700;
    transition: 0.3s;
    position: relative;
    overflow: hidden;
    transition: 0.5s;
    padding: 5px 0;
}

header div.container-header ul.nav nav li a i{
    display: none;
}

header div.container-header ul.nav nav li a#home{
    color: #ff1f59;
}

header div.container-header ul.nav nav li a#shop{
    color: #ff1f59;
}

header div.container-header ul.nav nav li a#about-us{
    color: #ff1f59;
}

header div.container-header ul.nav nav li a#contact-us{
    color: #ff1f59;
}

header div.container-header ul.nav nav li a:hover {
    color: #1b2336;
}

header div.container-header ul.nav nav li a::after {
    content: "";
    width: 0%;
    height: 2.5px;
    background-color: #ff1f59;
    position: absolute;
    bottom: 0;
    left: 50%;
    transition: 0.5s;
}

header div.container-header ul.nav nav li a#home::after {
   height: 0;
}

header div.container-header ul.nav nav li a#shop::after {
    height: 0;
 }

 header div.container-header ul.nav nav li a#about-us::after {
    height: 0;
 }

 header div.container-header ul.nav nav li a#contact-us::after {
    height: 0;
 }

header div.container-header ul.nav nav li a:hover::after {
    left: 0;
    width: 100%;
}

header div.container-header ul.nav nav li i {
    color: gray;
    font-size: 12px;
    margin-left: 10px;
    color: inherit;
}

header div.container-header ul.search-shop-login-join {
    display: flex;
    align-items: center;
    justify-content: flex-end;
    width: 28%;
}

header div.container-header ul.search-shop-login-join li.login-and-join {
    font-family: 'Nunito Sans', sans-serif;
    color: #1b2336;
    display: flex;
    align-items: center;
    border-left: 1px solid gray;
}

header div.container-header ul.search-shop-login-join li.login-and-join a {
    margin-left: 15px;
    transition: 0.3s;
}

header div.container-header ul.search-shop-login-join li.login-and-join a:hover {
    color: #ff1f59;
}

header div.container-header ul.search-shop-login-join li.login-and-join a.button {
    padding: 15px 29px;
    font-size: 15px;
    background-color: #ff1f59;
    color: white;
    font-weight: 700;
    border-radius: 5px;
    transition: 0.3s;
}

header div.container-header ul.search-shop-login-join li.login-and-join a.button:hover {
    background-color: #DD0000;
}

header div.container-header ul.search-shop-login-join li.search-and-shop-icons i {
    margin-right: 15px;
    cursor: pointer;
}

/* top-button */
div.top-button{
    width: 50px;
    height: 50px;
    position: fixed;
    right: 2%;
    bottom: 2%;
    background-color: #ff1f59;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 20;
    transition: 0.5s;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

div.top-button:hover{
    background-color: white;
}

div.top-button i{
    font-size: 27px;
    color: white;
    transition: 0.5s;
}

div.top-button:hover i{
    color: #ff1f59;
}

/* ---------- */

@media screen and (max-width:1280px) {
    header div.container-header {
        width: 97%;
        margin: auto;
    }

    div.top-button{
        width: 40px;
        height: 40px;
        right: 1%;
        bottom: 1%;
    }
    div.top-button i{
        font-size: 20px;
    }
}